Loading...
Searching...
No Matches
TolerancePruneOp< TreeT, TerminationLevel > Class Template Reference

`#include <openvdb/tools/Prune.h>`

## Public Types

using | ValueT = typename TreeT::ValueType
using | RootT = typename TreeT::RootNodeType
using | LeafT = typename TreeT::LeafNodeType

## Public Member Functions

| TolerancePruneOp (TreeT &tree, const ValueT &tol)
void | operator() (RootT &root) const
template<typename NodeT>
void | operator() (NodeT &node) const
void | operator() (LeafT &) const

## Member Typedef Documentation

## LeafT

template<typename TreeT, Index TerminationLevel = 0>

using LeafT = typename TreeT::LeafNodeType

## RootT

template<typename TreeT, Index TerminationLevel = 0>

using RootT = typename TreeT::RootNodeType

## ValueT

template<typename TreeT, Index TerminationLevel = 0>

using ValueT = typename TreeT::ValueType

## Constructor & Destructor Documentation

## TolerancePruneOp()

template<typename TreeT, Index TerminationLevel = 0>

TolerancePruneOp | ( | TreeT & | tree,
|  | const ValueT & | tol )

inline

## Member Function Documentation

## operator()() [1/3]

template<typename TreeT, Index TerminationLevel = 0>

void operator() | ( | LeafT & |  | ) | const

inline

## operator()() [2/3]

template<typename TreeT, Index TerminationLevel = 0>
template<typename NodeT>

void operator() | ( | NodeT & | node | ) | const

inline

## operator()() [3/3]

template<typename TreeT, Index TerminationLevel = 0>

void operator() | ( | RootT & | root | ) | const

inline